# Uses of Class
it.tdlight.jni.TdApi.ChatReportReason

## Uses of TdApi.ChatReportReason in it.tdlight.jni

Subclasses of TdApi.ChatReportReason in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.ChatReportReasonChildAbuse`
The chat has child abuse related content.
`static final class`
`TdApi.ChatReportReasonCopyright`
The chat contains copyrighted content.
`static final class`
`TdApi.ChatReportReasonCustom`
A custom reason provided by the user.
`static final class`
`TdApi.ChatReportReasonFake`
The chat represents a fake account.
`static final class`
`TdApi.ChatReportReasonPornography`
The chat contains pornographic messages.
`static final class`
`TdApi.ChatReportReasonSpam`
The chat contains spam messages.
`static final class`
`TdApi.ChatReportReasonUnrelatedLocation`
The location-based chat is unrelated to its stated location.
`static final class`
`TdApi.ChatReportReasonViolence`
The chat promotes violence.
Fields in it.tdlight.jni declared as TdApi.ChatReportReason
Modifier and Type
Field
Description
`TdApi.ChatReportReason`
TdApi.ReportChat.`reason`
The reason for reporting the chat.
`TdApi.ChatReportReason`
TdApi.ReportChatPhoto.`reason`
The reason for reporting the chat photo.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatReportReason
Modifier
Constructor
Description
``
`ReportChat(long chatId, long[] messageIds, TdApi.ChatReportReason reason, String text)`
Reports a chat to the Telegram moderators.
``
`ReportChatPhoto(long chatId, int fileId, TdApi.ChatReportReason reason, String text)`
Reports a chat photo to the Telegram moderators.